Subject: bug#1638 closed by Juanma Barranquero <[email-masked]> (Re: bug#2357: imenu-add-menubar-index fails in Objective-C mode)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 18 Feb 2009 09:30:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,cc-mode package:

#1638: got "invalid-function imenu-progress-message" in objc-mode

It has been closed by Juanma Barranquero <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Juanma Barranquero <[email-masked]> by
replying to this email.

-- 
1638: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1638
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2357: imenu-add-menubar-index fails in Objective-C mode
From: Juanma Barranquero <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Feb 2009 10:24:08 +0100

On Wed, Feb 18, 2009 at 03:57, Stefan Monnier <[email-masked]> wrote:

> Removing uses of cc-bytecomp-* is always a reason for rejoycing.

Ok, installed.

  Juanma

Subject: got "invalid-function imenu-progress-message" in objc-mode
From: Meteor Liu <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 19 Dec 2008 14:30:02 +0800 (CST)

hello, I use emacs23 to edit Objective-C files,
I opened a .m file, and run "imenu-add-member-index" command,
bug I got a error: invalid-function imenu-progress-message,
I checked cc-menus.el, in function cc-imenu-objc-function used imenu-progress-message,
but cc-menus.el didn't load imenu.
I add "(require 'imenu)" to cc-menus.el and byte-compile it, It works.

so I think cc-menus.el need load imenu to fix this.